Has patch:
Subject: add more uri options to form viewhelper
Description

The form view helper is missing an addQueryString param (like the link.action view helper) to easily keep the current query params
when sending the form (for example you could have other extensions depending on certain params on your form page and would like
to keep the current state when sending the form).

Attached a small patch which enables this feature (though I don't know if it's the correct "fluid" way).

Associated revisions
Revision 31cc22b8 - 2010-06-24 12:03 - Bastian Waidelich

[+FEATURE] Fluid (ViewHelpers): Added URI options format, additionalParams, absolute, addQueryString &
argumentsToBeExcludedFromQueryString to FormViewHelper. Resolves #8247
[+FEATURE] Fluid (ViewHelpers): GroupedForViewHelper can now group by object. Resolves #7389
[+FEATURE] Fluid (ViewHelpers): Added DebugViewHelper. Resolves #8468

History
#1 - 2010-06-15 14:36 - Bastian Waidelich
- Subject changed from addQueryString for form actions to add more uri options to form viewhelper
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Branch set to v4 + v5

There is a work-around as you can overwrite the form action like

<f:form ... actionUri="{f:uri.action(action='foo', useCacheHash=false)}">..</form> 

But we have had a similar discussion at http://lists.typo3.org/pipermail/typo3-project-typo3v4mvc/2010-June/005049.html

I'm taking care of adding some more uri parameters to the form vh

#2 - 2010-06-24 12:06 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4620.
